## ros-lunar-gazebo-ros 2.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gazebo_ros)

find_package(catkin REQUIRED COMPONENTS
  gazebo_dev
  cmake_modules
  roslib
  roscpp
  geometry_msgs
  std_srvs
  tf
  rosgraph_msgs
  dynamic_reconfigure
  std_msgs
  gazebo_msgs
)

include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(XML libxml-2.0)
else()
  message(FATAL_ERROR "pkg-config is required; please install it")
endif()

find_package(Boost REQUIRED COMPONENTS thread)

find_package(TinyXML REQUIRED)

catkin_python_setup()

generate_dynamic_reconfigure_options(cfg/Physics.cfg)

catkin_package(
  LIBRARIES
    gazebo_ros_api_plugin
    gazebo_ros_paths_plugin

  CATKIN_DEPENDS
    roslib
    roscpp
    geometry_msgs
    std_srvs
    tf
    rosgraph_msgs
    dynamic_reconfigure
    std_msgs
    gazebo_msgs

  DEPENDS
    TinyXML
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})

set(cxx_flags)
foreach (item ${GAZEBO_CFLAGS})
  set(cxx_flags "${cxx_flags} ${item}")
endforeach ()

set(ld_flags)
foreach (item ${GAZEBO_LDFLAGS})
  set(ld_flags "${ld_flags} ${item}")
endforeach ()

## Plugins
add_library(gazebo_ros_api_plugin src/gazebo_ros_api_plugin.cpp)
add_dependencies(gazebo_ros_api_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(gazebo_ros_api_plugin PROPERTIES LINK_FLAGS "${ld_flags}")
set_target_properties(gazebo_ros_api_plugin PROPERTIES COMPILE_FLAGS "${cxx_flags}")
target_link_libraries(gazebo_ros_api_plugin ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${TinyXML_LIBRARIES})

add_library(gazebo_ros_paths_plugin src/gazebo_ros_paths_plugin.cpp)
add_dependencies(gazebo_ros_paths_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(gazebo_ros_paths_plugin PROPERTIES COMPILE_FLAGS "${cxx_flags}")
set_target_properties(gazebo_ros_paths_plugin PROPERTIES LINK_FLAGS "${ld_flags}")
target_link_libraries(gazebo_ros_paths_plugin ${catkin_LIBRARIES} ${Boost_LIBRARIES})

## Tests

add_subdirectory(test)

# Install Gazebo System Plugins
install(TARGETS gazebo_ros_api_plugin gazebo_ros_paths_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )

# Install Gazebo Scripts
install(PROGRAMS scripts/gazebo
                 scripts/debug
		 scripts/gzclient
		 scripts/gzserver
		 scripts/gdbrun
		 scripts/perf
		 scripts/libcommon.sh
        DESTINATION
                 ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# This one is a Python program, not a shell script, so install it separately
catkin_install_python(PROGRAMS scripts/spawn_model
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install Gazebo launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-lunar-gazebo-ros (2.7.6-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jun 2018 22:00:00 -0000

ros-lunar-gazebo-ros (2.7.5-0xenial) xenial; urgency=high

  * Use generic SIGINT parameter in kill command for gazebo script (#711 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/711>)
    * Use generic SIGINT parameter in kill command for gazebo script
    * redirect to kill command to std_err
  * Parameter to disable ROS network interaction from/to Gazebo (lunar-devel) (#704 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/704>)
    * Merge initial part of 585 PR
    * Missing parts from the port to lunar
    * Fix last remaining code from merge
  * Load the libgazebo_ros_api_plugin when starting gzclient so that the ROS event loop will turn over, which is required when you have a client-side Gazebo plugin that uses ROS. (#676 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/676>)
  * Pass verbose argument to gzclient (#677 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/677>)
  * strip comments from parsed urdf (#698 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/698>)
    Remove comments from urdf before trying to find packages. Otherwise non-existant packages will produce a fatal error, even though they are not used.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-lunar-gazebo-ros (2.7.4-0xenial) xenial; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix for relative frame errors (lunar-devel) (#663 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/663>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Fix gazebo8 warnings part 10: ifdefs for GetModel, GetEntity, Light (lunar-devel) (#657 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/657>)
  * gazebo8 warnings: ifdefs for Get.*Vel() (#655 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/655>)
  * [gazebo_ros] don't overwrite parameter "use_sim_time" (lunar-devel) (#607 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/607>)
  * Fix gazebo8 warnings part 8: ifdef's for GetWorldPose (lunar-devel) (#652 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/652>)
  * Prevents GAZEBO_MODEL_DATABASE_URI from being overwritten (#649 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/649>)
  * for gazebo8+, call functions without Get (#640 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/640>)
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-lunar-gazebo-ros (2.7.3-0xenial) xenial; urgency=high

  * gazebo_ros_api_plugin: improve plugin xml parsing (#627 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/627>)
  * Fix gazebo8 warnings part 5: ignition math in gazebo_ros (lunar-devel) (#636 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/636>)
  * Fix gazebo8 warnings part 4: convert remaining local variables in plugins to ign-math (lunar-devel) (#634 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/634>)
  * gazebo_ros: fix support for python3 (#629 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/629>)
  * Replace Events::Disconnect* with pointer reset (#626 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/626>)
  * Install spawn_model using catkin_install_python (#624 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/624>)
  * Quote arguments to echo in libcommon.sh (#591 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/591>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-lunar-gazebo-ros (2.7.2-0xenial) xenial; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 20 May 2017 22:00:00 -0000

ros-lunar-gazebo-ros (2.7.1-0xenial) xenial; urgency=high

  * Fixes for compilation and warnings in Lunar-devel  (#573 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/573>)
    Multiple fixes for compilation and warnings coming from Gazebo8 and ignition-math3
  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Apr 2017 22:00:00 -0000

ros-lunar-gazebo-ros (2.5.12-0xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-gazebo-ros (2.5.11-0xenial) xenial; urgency=high

  * Changed the spawn model methods to spawn also lights. (#511 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/511>)
  * Change build system to set DEPEND on Gazebo/SDFormat (fix catkin warning)
    Added missing DEPEND clauses to catkin_package to fix gazebo catkin warning.
    Note that after the change problems could appear related to -lpthreads
    errors. This is an known issue related to catkin:
    https://github.com/ros/catkin/issues/856.
  * Use correct logerr method (#557 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/557>)
  * Contributors: Alessandro Ambrosano, Dave Coleman, Gary Servin

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Apr 2017 22:00:00 -0000

ros-lunar-gazebo-ros (2.5.10-0xenial) xenial; urgency=high

  * Revert catkin warnings to fix regressions (problems with catkin -lpthreads errors)
    For reference and reasons, please check:


=== debian/control ===
Source: ros-lunar-gazebo-ros
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-dynamic-reconfigure, ros-lunar-gazebo-dev, ros-lunar-gazebo-msgs, ros-lunar-geometry-msgs, ros-lunar-roscpp, ros-lunar-rosgraph-msgs, ros-lunar-roslib, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-lunar-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-lunar-dynamic-reconfigure, ros-lunar-gazebo-dev, ros-lunar-gazebo-msgs, ros-lunar-geometry-msgs, ros-lunar-roscpp, ros-lunar-rosgraph-msgs, ros-lunar-roslib, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-gazebo-ros//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
